@charset "utf-8";

.itemPop { position: absolute; display: block; }

.itemPop .itemIcon,
.itemPop .popContent {
	display: block;
	background-color: #eeeeee;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
	-webkit-box-shadow: 0px 0px 5px rgba(0,0,0,1.0);
	-moz-box-shadow:    0px 0px 5px rgba(0,0,0,1.0);
	box-shadow:         0px 0px 5px rgba(0,0,0,1.0);
}

.itemPop .itemIcon {
	display:block;
	float: left;
	margin-right: 10px;
	background-position: center center;
	background-repeat: no-repeat;
	padding: 5px;
	width: 50px;
	height: 50px;
}

.itemPop .popContent {
	display: block;
	overflow: hidden;
	padding: 10px; 
	min-height: 40px;
	max-width: 400px;
}

.itemPop .popContent .itemProperties {
	display: block;
	list-style: none;
	overflow: hidden;
}

.itemPop .popContent .itemProperties .item {
	display:block;
	overflow: hidden;
	float: left;
	width: 200px;
	height: 24px;
	line-height: 24px;
}

.itemPop .popContent .itemProperties .item .title,
.itemPop .popContent .itemProperties .item .value {
	display: block;
	float: left;
	overflow: hidden;
	height: 100%;
	width: 50%;
	padding-right: 10px;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

.itemPop .popContent .itemProperties .item .value { font-weight: bold; }




.itemPop .popContent .itemEnchant {
	position: relative;
	display: block;
	background-color: rgba(0, 0, 0, 0.1);
	height: 30px;
	line-height: 30px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
}

.itemPop .popContent .itemEnchant + .itemEnchant {
	margin-top: 5px;
}

.itemPop .popContent .itemEnchant .enchIcon {
	display: block;
	float: left;
	width: 16px;
	height: 16px;
	margin: 7px;
}

.itemPop .popContent .itemEnchant .enchInfo {
	display: block;
	float: right;
	margin: 7px;
	width: 16px;
	height: 16px;
	background-image: url('sprite_main.png');
	background-repeat: no-repeat;
	background-position: -342px -122px;
	cursor: help;
}

.itemPop .popContent .itemEnchant > .title,
.itemPop .popContent .itemEnchant > .value {
	display: inline-block;
	overflow: hidden;
	height: 14px;
	line-height: 14px;
	margin: 8px 0px;
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
}

.itemPop .popContent .itemEnchant > .title {
	border-width: 0px 0px 1px 0px;
	border-style: dashed;
	border-color: rgba(0, 0, 0, 0.4);
}

.itemPop .popContent .itemEnchant > .value {
	margin-left: 5px;
	font-weight: bold;
}

.itemPop .popContent .itemEnchant .enchPop {
	position: absolute;
	display: block;
	bottom: 32px;
	right: 0px;
	max-width: 180px;
	padding: 3px 10px;
	color: #ffffff;
	background-color: rgba(0, 0, 0, 0.7);
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
	-webkit-transition-duration: 0.4s;
	-moz-transition-duration:    0.4s;
	-ms-transition-duration:     0.4s;
	-o-transition-duration:      0.4s;
	transition-duration:         0.4s;
	visibility: hidden;
	opacity: 0;
}

.itemPop .popContent .itemEnchant .enchInfo:hover ~ .enchPop, .itemPop .popContent .itemEnchant .enchPop:hover { opacity: 1.0; visibility: visible; }

.itemPop .popContent .itemEnchant .enchPop:before {
	content: "";
	position: absolute;
	display: block;
	background-color: transparent;
	border-left: 8px solid transparent;
	border-right: 8px solid transparent;
	border-top: 8px solid rgba(0, 0, 0, 0.7);
	bottom: -8px;
	right: 7px;
}

.itemPop .popContent .itemEnchant .enchPop >.itemProperties .item {
	height: 20px;
	line-height: 20px;
	width: 190px;
}

.itemPop .popContent .sep {
	display: block;
	margin: 10px -10px;
	padding: 0px 10px;
	height: 30px;
	line-height: 30px;
	background-color: rgba(0, 0, 0, 0.1);
	border-width: 1px 0px 1px 0px;
	border-style: solid;
	border-color: rgba(0, 0, 0, 0.1);
	font-weight: bold;
	font-size: 14px;
}












/**************************************************/
/* CODE SETTINGS                                  */
/**************************************************/

.sh_ide-eclipse,
.sh_ide-msvcpp,
.sh_ide-kdev,
.sh_the {
	background: none;
	padding: 0;
	margin: 0;
	border: 0 none;
}


.sh_ide-eclipse .sh_sourceCode                 { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_keyword     { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_type        { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_string      { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_regexp      { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_specialchar { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_comment     { color: #717ab3; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_number      { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_preproc     { color: #3f5fbf; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_function    { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_url         { color: #000000; font-weight: normal; font-style: normal; text-decoration: none; }
.sh_ide-eclipse .sh_sourceCode .sh_date        { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_time        { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_file        { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_ip          { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_name        { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_variable    { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_oldfile     { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_newfile     { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_difflines   { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_selector    { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_property    { color: #7f0055; font-weight: bold;   font-style: normal; }
.sh_ide-eclipse .sh_sourceCode .sh_value       { color: #0000ff; font-weight: normal; font-style: normal; }


.sh_ide-msvcpp .sh_sourceCode                 { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_keyword     { color: #0000ff; font-weight: bold;   font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_type        { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_string      { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_regexp      { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_specialchar { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_comment     { color: #008000; font-weight: normal; font-style: italic; }
.sh_ide-msvcpp .sh_sourceCode .sh_number      { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_preproc     { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_function    { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_url         { color: #000000; font-weight: normal; font-style: normal; text-decoration: none; }
.sh_ide-msvcpp .sh_sourceCode .sh_date        { color: #0000ff; font-weight: bold;   font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_time        { color: #0000ff; font-weight: bold;   font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_file        { color: #0000ff; font-weight: bold;   font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_ip          { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_name        { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_variable    { color: #0000ff; font-weight: bold;   font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_oldfile     { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_newfile     { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_difflines   { color: #0000ff; font-weight: bold;   font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_selector    { color: #0000ff; font-weight: bold;   font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_property    { color: #0000ff; font-weight: bold;   font-style: normal; }
.sh_ide-msvcpp .sh_sourceCode .sh_value       { color: #000000; font-weight: normal; font-style: normal; }


.sh_ide-kdev .sh_sourceCode                 { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_keyword     { color: #600000; font-weight: bold;   font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_type        { color: #600000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_string      { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_regexp      { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_specialchar { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_comment     { color: #bfbfbf; font-weight: normal; font-style: italic; }
.sh_ide-kdev .sh_sourceCode .sh_number      { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_preproc     { color: #008000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_function    { color: #000000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_url         { color: #000000; font-weight: normal; font-style: normal; text-decoration: none; }
.sh_ide-kdev .sh_sourceCode .sh_date        { color: #600000; font-weight: bold;   font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_time        { color: #600000; font-weight: bold;   font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_file        { color: #600000; font-weight: bold;   font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_ip          { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_name        { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_variable    { color: #600000; font-weight: bold;   font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_oldfile     { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_newfile     { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_difflines   { color: #600000; font-weight: bold;   font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_selector    { color: #600000; font-weight: bold;   font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_property    { color: #600000; font-weight: bold;   font-style: normal; }
.sh_ide-kdev .sh_sourceCode .sh_value       { color: #ff0000; font-weight: normal; font-style: normal; }


.sh_the .sh_sourceCode                 { color: #000000; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_keyword     { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_type        { color: #880088; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_string      { color: #000088; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_regexp      { color: #000088; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_specialchar { color: #000000; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_comment     { color: #00ff00; font-weight: normal; font-style: italic; }
.sh_the .sh_sourceCode .sh_number      { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_preproc     { color: #ff0000; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_function    { color: #000000; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_url         { color: #000000; font-weight: normal; font-style: normal; text-decoration: none; }
.sh_the .sh_sourceCode .sh_date        { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_time        { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_file        { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_ip          { color: #000088; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_name        { color: #000088; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_variable    { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_oldfile     { color: #000000; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_newfile     { color: #000088; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_difflines   { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_selector    { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_property    { color: #0000ff; font-weight: normal; font-style: normal; }
.sh_the .sh_sourceCode .sh_value       { color: #000088; font-weight: normal; font-style: normal; }


.snippet-wrap   { position: relative; }
.snippet-reveal { text-decoration: underline; }

.snippet-wrap .snippet-menu,
.snippet-wrap .snippet-hide {
	position: absolute;
	top: 10px;
	right: 15px;
	font-size: 11px;
	z-index: 1;
	background-color: transparent;
}

.snippet-wrap .snippet-hide { top: auto; bottom: 10px; }

.snippet-wrap .snippet-menu pre,
.snippet-wrap .snippet-hide pre {
	margin: 0;
	padding: 2px 0px;
	background: #000000;
	background-color: rgba(0, 0, 0, 0.7);
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
}

.snippet-wrap .snippet-menu a,
.snippet-wrap .snippet-hide a {
	padding: 0 5px;
	text-decoration: underline;
	color: #ffffff !important;
}

.snippet-wrap pre.sh_sourceCode {
	padding: 10px;
	line-height: 18px;
	overflow: auto;
	position: relative; 
	border:  1px solid #bbbbbb;
	border-left-width:  4px; 
	-webkit-box-shadow:  1px 1px 4px rgba(0,0,0,0.1); 
	-moz-box-shadow:  1px 1px 4px rgba(0,0,0,0.1); 
	box-shadow:  1px 1px 4px rgba(0,0,0,0.1);
}

.snippet-wrap pre.snippet-textonly  { padding: 10px; }
.snippet-reveal pre.sh_sourceCode  { padding: .5em 1em; text-align: right; }
.snippet-wrap .snippet-num li { padding-left: 5px; }
.snippet-wrap .snippet-no-num { list-style: none; padding: .6em 1em; margin: 0; }
.snippet-wrap .snippet-no-num li  { list-style: none; padding-left: 0; }
.snippet-wrap .snippet-num  { padding-left: 3em; }
.snippet-wrap .snippet-num li  { list-style: decimal-leading-zero outside none; }
.snippet-wrap .snippet-no-num li.box  { padding: 0 6px;  margin-left: -6px; }
.snippet-wrap .snippet-num li.box  { border: 1px solid; list-style-position: inside; margin-left: -3em; padding-left: 6px; }
.snippet-wrap li.box-top  { border-width: 1px 1px 0 !important; }
.snippet-wrap li.box-bot  { border-width: 0 1px 1px !important; }
.snippet-wrap li.box-mid  { border-width: 0 1px !important; }
.snippet-wrap .snippet-num li .box-sp  { width: 18px;  display: inline-block; }
.snippet-wrap .snippet-no-num li.box  { border: 1px solid; }
.snippet-wrap .snippet-no-num li .box-sp  { display: none; }